import BaseAPI from '@/api/base_api'
const httpRequest = new BaseAPI(webConf)

// 登录
export function login(data) {
  return httpRequest.post('/passport/rest/login', data, {
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
// 绑定微信
export function bindWechat(data) {
  return httpRequest.post('/passport/rest/wechat/bind-unionid', data, {
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
// 重置密码
export function resetPassword(data) {
  return httpRequest.post('/usercenter/user/update-pwd', data, {
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
// 发送重置验证码
export function sendResetPasswordCode(data) {
  return httpRequest.post('/usercenter/user/send-code', data, {
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
  })
}
// 登出
export function logout() {
  return httpRequest.post('https://learn-pbcsf.ezijing.com/api/clear/cookie')
}
// 获取用户信息
export function getUser() {
  return httpRequest.get('/zy/user/getinfo')
}

export function wxLogin(url) {
  return httpRequest.get(url, '', {
    headers: { 'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.97 Safari/537.36 WXCHART-EZIJING' }
  })
}
